#!/bin/sh

test_description="Check that warning exists when using both ifcreate/ifchange"
. $SHARNESS_TEST_SRCDIR/sharness.sh
export REDO_TOP_DIR="`pwd`" REDO_NO_PROGRESS=1

touch src
echo redo-ifchange src >tgt.do
echo redo-ifcreate src >>tgt.do
redo tgt 2>2

test_expect_success "warn exists" 'grep -q "simultaneous ifcreate and ifchange" 2'

test_done
